package com.yeejoin.amos.supervision.business.vo;

import java.util.List;
import java.util.Map;

public class LeavelMovePointVo {
	private long pointId;
	private String pointName;
	private String pointNo;
	private String level;
	private long isFiexed;
	private String shotMinNumber;
	private String shotMaxNumber;
	private String fixedShot;
	private String usuallyShot;
	private String routeName;
	private String classifyNames;
	private String chargePerson;
	private String departmentName;
	private String status;
	private String remark;
	private Boolean offline;

	private List<Map<String, Object>> classify;
	private List<PointInputItemVo> inputItems;

	public Boolean getOffline() {
		return offline;
	}
	public void setOffline(Boolean offline) {
		this.offline = offline;
	}
	public long getIsFiexed() {
		return isFiexed;
	}
	public void setIsFiexed(long isFiexed) {
		this.isFiexed = isFiexed;
	}
	public long getPointId() {
		return pointId;
	}
	public void setPointId(long pointId) {
		this.pointId = pointId;
	}
	public String getPointName() {
		return pointName;
	}
	public void setPointName(String pointName) {
		this.pointName = pointName;
	}
	public String getPointNo() {
		return pointNo;
	}
	public void setPointNo(String pointNo) {
		this.pointNo = pointNo;
	}
	public String getLevel() {
		return level;
	}
	public void setLevel(String level) {
		this.level = level;
	}
	public String getShotMinNumber() {
		return shotMinNumber;
	}
	public void setShotMinNumber(String shotMinNumber) {
		this.shotMinNumber = shotMinNumber;
	}
	public String getShotMaxNumber() {
		return shotMaxNumber;
	}
	public void setShotMaxNumber(String shotMaxNumber) {
		this.shotMaxNumber = shotMaxNumber;
	}
	public String getFixedShot() {
		return fixedShot;
	}
	public void setFixedShot(String fixedShot) {
		this.fixedShot = fixedShot;
	}
	public String getUsuallyShot() {
		return usuallyShot;
	}
	public void setUsuallyShot(String usuallyShot) {
		this.usuallyShot = usuallyShot;
	}
	public String getRouteName() {
		return routeName;
	}
	public void setRouteName(String routeName) {
		this.routeName = routeName;
	}
	public String getClassifyNames() {
		return classifyNames;
	}
	public void setClassifyNames(String classifyNames) {
		this.classifyNames = classifyNames;
	}
	public String getChargePerson() {
		return chargePerson;
	}
	public void setChargePerson(String chargePerson) {
		this.chargePerson = chargePerson;
	}
	public String getDepartmentName() {
		return departmentName;
	}
	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}
	public List<Map<String, Object>> getClassify() {
		return classify;
	}
	public void setClassify(List<Map<String, Object>> classify) {
		this.classify = classify;
	}
	public List<PointInputItemVo> getInputItems() {
		return inputItems;
	}
	public void setInputItems(List<PointInputItemVo> inputItems) {
		this.inputItems = inputItems;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
}
